CENTRIFUGE-INSPECT(1)

NAME
centrifuge-inspect - inspecting the centrifuge index

SYNOPSIS
centrifuge-inspect [options]* <cf_base>

DESCRIPTION
Centrifuge version 1.0.3-beta by Daehwan Kim (infphilo@gmail.com, http://www.ccb.jhu.edu/people/infphilo)

<cf_base>
    cf filename minus trailing .1.cf/.2.cf/.3.cf

    By default, prints FASTA records of the indexed nucleotide sequences to standard out. With -n, just prints names. With -s, just prints a summary of the index parameters and sequences. With -e, preserves colors if applicable.

OPTIONS

--large-index
    force inspection of the 'large' index, even if a 'small' one is present.

-a/--across <int>
    Number of characters across in FASTA output (default: 60)

-n/--names
    Print reference sequence names only

-s/--summary
    Print summary incl. ref names, lengths, index properties

-e/--bt2-ref
    Reconstruct reference from .cf (slow, preserves colors)

--conversion-table Print conversion table

--taxonomy-tree
    Print taxonomy tree

--name-table
    Print names corresponding to taxonomic IDs

--size-table
    Print the lengths of the sequences belonging to the same taxonomic ID

-v/--verbose
    Verbose output (for debugging)

-h/--help
    print detailed description of tool and its options

--help
    print this usage message

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.